Source: code-oss
Section: devel
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 13),
               curl,
               git,
               nodejs (>= 14.0.0),
               yarnpkg,
               npm,
               python3,
               libx11-dev,
	       libkrb5-dev,
               libxkbfile-dev,
               libsecret-1-dev,
               python-is-python3,
               pkgconf,
Standards-Version: 4.6.2
Homepage: https://github.com/microsoft/vscode
Vcs-Browser: https://gitlab.com/kalilinux/packages/code-oss
Vcs-Git: https://gitlab.com/kalilinux/packages/code-oss.git
Rules-Requires-Root: no

Package: code-oss
Architecture: amd64 arm64
Depends: ${shlibs:Depends}, ${misc:Depends}, nodejs
Conflicts: code
Description: Open Source package of vscode
 This package contains code-oss, a code editor with what developers need for
 their core edit-build-debug cycle. It provides comprehensive code editing,
 navigation, and understanding support along with lightweight debugging, a rich
 extensibility model, and lightweight integration with existing tools.
 .
 This package is built from Microsoft open source code named code-oss.
